---
title: '<abbr>: The Abbreviation element'
slug: Web/HTML/Element/abbr
tags:
  - Acronym
  - Definitions
  - Element
  - HTML
  - HTML text-level semantics
  - 'HTML:Flow content'
  - 'HTML:Palpable Content'
  - 'HTML:Phrasing content'
  - Reference
  - Web
  - abbr
  - abbreviation
  - semantics
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Abbreviation element </strong>(<strong><code>&lt;abbr&gt;</code></strong>) represents an abbreviation or acronym; the optional {{htmlattrxref("title")}} attribute can provide an expansion or description for the abbreviation.</span> If present, <code>title</code> must contain this full description and nothing else.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/abbr.html", "tabbed-shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a></td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a></td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM Interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only supports the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>. The {{htmlattrxref("title")}} attribute has a specific semantic meaning when used with the <code>&lt;abbr&gt;</code> element; it <em>must</em> contain a full human-readable description or expansion of the abbreviation. This text is often presented by browsers as a tooltip when the mouse cursor is hovered over the element.</p>

<p>Each <code>&lt;abbr&gt;</code> element you use is independent from all others; providing a <code>title</code> for one does not automatically attach the same expansion text to others with the same content text.</p>

<h2 id="Usage_notes">Usage notes</h2>

<h3 id="Typical_use_cases">Typical use cases</h3>

<p>It's certainly not required that all abbreviations be marked up using <code>&lt;abbr&gt;</code>. There are, though, a few cases where it's helpful to do so:</p>

<ul>
 <li>When an abbreviation is used and you want to provide an expansion or definition outside the flow of the document's content, use <code>&lt;abbr&gt;</code> with an appropriate {{htmlattrxref("title")}}.</li>
 <li>To define an abbreviation which may be unfamiliar to the reader, present the term using <code>&lt;abbr&gt;</code> and either a <code>title</code> attribute or inline text providing the definition.</li>
 <li>When an abbreviation's presence in the text needs to be semantically noted, the <code>&lt;abbr&gt;</code> element is useful. This can be used, in turn, for styling or scripting purposes.</li>
 <li>You can use <code>&lt;abbr&gt;</code> in concert with {{HTMLElement("dfn")}} to establish definitions for terms which are abbreviations or acronyms. See the example {{anch("Defining an abbreviation")}} below.</li>
</ul>

<h3 id="Grammar_considerations">Grammar considerations</h3>

<p>In languages with {{interwiki("wikipedia", "grammatical number")}} (that is, languages where the number of items affects the grammar of a sentence), use the same grammatical number in your <code>title</code> attribute as inside your <code>&lt;abbr&gt;</code> element. This is especially important in languages with more than two numbers, such as Arabic, but is also relevant in English.</p>

<h2 id="Default_styling">Default styling</h2>

<p>The purpose of this element is purely for the convenience of the author and all browsers display it inline ({{cssxref('display')}}<code>: inline</code>) by default, though its default styling varies from one browser to another:</p>

<ul>
 <li>Some browsers, like Internet Explorer, do not style it differently than a {{HTMLElement("span")}} element.</li>
 <li>Opera, Firefox, and some others add a dotted underline to the content of the element.</li>
 <li>A few browsers not only add a dotted underline, but also put it in small caps; to avoid this styling, adding something like {{cssxref('font-variant')}}<code>: none</code> in the CSS takes care of this case.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Marking_up_an_abbreviation_semantically">Marking up an abbreviation semantically</h3>

<p>To mark up an abbreviation without providing an expansion or description, use <code>&lt;abbr&gt;</code> without any attributes, as seen in this example.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Using &lt;abbr&gt;HTML&lt;/abbr&gt; is fun and easy!&lt;/p&gt;</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Marking_up_an_abbreviation_semantically")}}</p>

<h3 id="Styling_abbreviations">Styling abbreviations</h3>

<p>You can use CSS to set a custom style to be used for abbreviations, as seen in this simple example.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Using &lt;abbr&gt;CSS&lt;/abbr&gt;, you can style your abbreviations!&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">abbr {
  font-variant: all-small-caps;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Styling_abbreviations")}}</p>

<h3 id="Providing_an_expansion">Providing an expansion</h3>

<p>Adding a {{htmlattrxref("title")}} attribute lets you provide an expansion or definition for the abbreviation or acronym.</p>

<h4 id="HTML_3">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Ashok's joke made me &lt;abbr title="Laugh Out Loud"&gt;LOL&lt;/abbr&gt; big
time.&lt;/p&gt;</pre>

<h4 id="Result_3">Result</h4>

<p>{{EmbedLiveSample("Providing_an_expansion")}}</p>

<h3 id="Defining_an_abbreviation">Defining an abbreviation</h3>

<p>You can use <code>&lt;abbr&gt;</code> in tandem with {{HTMLElement("dfn")}} to more formally define an abbreviation, as shown here.</p>

<h4 id="HTML_4">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;&lt;dfn id="html"&gt;&lt;abbr title="HyperText Markup Language"&gt;HTML&lt;/abbr&gt;
&lt;/dfn&gt; is a markup language used to create the semantics and structure
of a web page.&lt;/p&gt;

&lt;p&gt;A &lt;dfn id="spec"&gt;Specification&lt;/dfn&gt;
(&lt;abbr title="Specification"&gt;spec&lt;/abbr&gt;) is a document that outlines
in detail how a technology or API is intended to function and how it is
accessed.&lt;/p&gt;</pre>

<h4 id="Result_4">Result</h4>

<p>{{EmbedLiveSample("Defining_an_abbreviation", 600, 120)}}</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Spelling out the acronym or abbreviation in full the first time it is used on a page is beneficial for helping people understand it, especially if the content is technical or industry jargon.</p>

<h4 id="Example">Example</h4>

<pre class="brush: html notranslate">&lt;p&gt;JavaScript Object Notation (&lt;abbr&gt;JSON&lt;/abbr&gt;) is a lightweight data-interchange format.&lt;/p&gt;
</pre>

<p>This is especially helpful for people who are unfamiliar with the terminology or concepts discussed in the content, people who are new to the language, and people with cognitive concerns.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-abbr-element', '&lt;abbr&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-abbr-element', '&lt;abbr&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/text.html#edef-ABBR', '&lt;abbr&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.abbr")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/HTML/Element/abbr">Using the <code>&lt;abbr&gt;</code> element</a></li>
</ul>
